VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPTestResults Class Reference

`Snmp.SNMPTestResults` class Structure to provide operators diagnostics test results. More...

List of all members.

## Public Member Functions
| SNMPTestResults ()
| Creates a default new instance.
bool | GetSuccess ()
| Set success to true/false.
void | SetSuccess (bool success)
| Set success to true/false.
string | GetMessage ()
| message
void | SetMessage (string message)
| message
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

`Snmp.SNMPTestResults` class Structure to provide operators diagnostics test results.

## Constructor & Destructor Documentation

vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPTestResults::SNMPTestResults | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPTestResults::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPTestResults::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPTestResults::_GetType | ( |  | ) | `[inline]`

bool vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPTestResults::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPTestResults::_Validate | ( |  | ) | `[inline]`

override bool vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPTestResults::Equals | ( | object | obj | ) | `[inline]`

override int vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPTestResults::GetHashCode | ( |  | ) | `[inline]`

string vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPTestResults::GetMessage | ( |  | ) | `[inline]`

message

bool vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPTestResults::GetSuccess | ( |  | ) | `[inline]`

Set success to true/false.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPTestResults::SetMessage | ( | string | message | ) | `[inline]`

message

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPTestResults::SetSuccess | ( | bool | success | ) | `[inline]`

Set success to true/false.

override string vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPTestResults::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- SnmpTypes.cs